/**
 * $Id: TIterator.java,v 1.1 2002/11/06 14:08:21 serge Exp $
 *
 * Transmorpher
 *
 * Copyright (C) 2002 Fluxmedia and INRIA Rhne-Alpes.
 *
 * http://www.fluxmedia.fr - http://transmorpher.inrialpes.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/**
 * The interface for Transmorpher abstract iterator
 *
 * @author Jerome.Euzenat@inrialpes.fr
 * @since jdk 1.3
 */

package fr.fluxmedia.transmorpher.engine ;

// Imported Java classes

import java.util.NoSuchElementException;
import java.util.Enumeration;

// Imported Transmorpher classes

import fr.fluxmedia.transmorpher.utils.Parameters ;
import fr.fluxmedia.transmorpher.utils.StringParameters;

public interface TIterator extends Enumeration {
    
    /** give the next element and throws an exception if finished.
     * The element is always returned as a string for the iteration
     */
    //public abstract String nextElement() throws NoSuchElementException;
    // It is not autorized to restrict the codomain of a method...
    
    //public abstract boolean hasMoreElements();
    
    public abstract void init(Parameters p);
    
    public abstract void staticInit(Parameters p);
		
		public abstract String getName();
		
		public String getType();
    
}
