package fr.fluxmedia.transmorpher.engine;

import junit.framework.TestCase;
// JUnitDoclet begin import
import fr.fluxmedia.transmorpher.engine.ContentHandlerInfo;
import org.xml.sax.helpers.LocatorImpl;
import org.xml.sax.Locator;
import org.xml.sax.Attributes;
import org.xml.sax.helpers.AttributesImpl ;
import org.xml.sax.helpers.DefaultHandler ;
import org.xml.sax.SAXException;
// JUnitDoclet end import

/**
* Generated by JUnitDoclet, a tool provided by
* ObjectFab GmbH under LGPL.
* Please see www.junitdoclet.org, www.gnu.org
* and www.objectfab.de for informations about
* the tool, the licence and the authors.
*/


public class ContentHandlerInfoTest
// JUnitDoclet begin extends_implements
extends TestCase
// JUnitDoclet end extends_implements
{
  // JUnitDoclet begin class
  fr.fluxmedia.transmorpher.engine.ContentHandlerInfo contenthandlerinfo = null;
  // JUnitDoclet end class
  
  public ContentHandlerInfoTest(String name) {
    // JUnitDoclet begin method ContentHandlerInfoTest
    super(name);
    // JUnitDoclet end method ContentHandlerInfoTest
  }
  
  public fr.fluxmedia.transmorpher.engine.ContentHandlerInfo createInstance() throws Exception {
    // JUnitDoclet begin method testcase.createInstance
    return new fr.fluxmedia.transmorpher.engine.ContentHandlerInfo(0);
    // JUnitDoclet end method testcase.createInstance
  }
  
  protected void setUp() throws Exception {
    // JUnitDoclet begin method testcase.setUp
    super.setUp();
    contenthandlerinfo = createInstance();
    // JUnitDoclet end method testcase.setUp
  }
  
  protected void tearDown() throws Exception {
    // JUnitDoclet begin method testcase.tearDown
    contenthandlerinfo = null;
    super.tearDown();
    // JUnitDoclet end method testcase.tearDown
  }
  
  public void testGetStringParameter() throws Exception {
    // JUnitDoclet begin method getStringParameter
		ContentHandlerInfo test=new ContentHandlerInfo(2,"test");
		assertEquals(test.getCommand(),2);
		assertEquals(test.getStringParameter(0),"test");
		
		test=new ContentHandlerInfo(1,"test0","test1","test2");
		assertEquals(test.getCommand(),1);
		for (int i=0;i<3;i++)
			assertEquals(test.getStringParameter(i),"test"+i);
		
		test=null;
    // JUnitDoclet end method getStringParameter
  }
  
  public void testGetIntParameter() throws Exception {
    // JUnitDoclet begin method getIntParameter
		char[] ch={'t','e'};
		ContentHandlerInfo test=new ContentHandlerInfo(2,ch,0,2);
		assertEquals(test.getIntParameter(0),0);
		assertEquals(test.getIntParameter(1),2);
		
		ch=null;
		test=null;
    // JUnitDoclet end method getIntParameter
  }
  
  public void testGetLocatorParameter() throws Exception {
    // JUnitDoclet begin method getLocatorParameter
    // JUnitDoclet end method getLocatorParameter
  }
  
  public void testGetAttributes() throws Exception {
    // JUnitDoclet begin method getAttributes
		Attributes att=new AttributesImpl();
		ContentHandlerInfo test=new ContentHandlerInfo(2,"t","t","t",att);
    // JUnitDoclet end method getAttributes
  }
  
  public void testGetCommand() throws Exception {
    // JUnitDoclet begin method getCommand
		assertEquals(contenthandlerinfo.getCommand(),0);
		
		ContentHandlerInfo test=new ContentHandlerInfo(2);
		assertEquals(test.getCommand(),2);
		
		test=null;
    // JUnitDoclet end method getCommand
  }
  
  public void testGetCharParameter() throws Exception {
    // JUnitDoclet begin method getCharParameter
		char[] ch={'t','e','s','t'};
		char[] chTest;
		ContentHandlerInfo test=new ContentHandlerInfo(2,ch,0,2);
		
		chTest=test.getCharParameter();
		
		for (int i=0;i<chTest.length;i++)
			assertEquals(ch[i],chTest[i]);
		
		ch=null;
		chTest=null;
		test=null;
    // JUnitDoclet end method getCharParameter
  }
  
  public void testToString() throws Exception {
    // JUnitDoclet begin method toString
		ContentHandlerInfo test = new ContentHandlerInfo(0);
		assertEquals(test.toString(),"START_ELEMENT");
		
		test = new ContentHandlerInfo(1);
		assertEquals(test.toString(),"END_ELEMENT");
		
		test = new ContentHandlerInfo(2);
		assertEquals(test.toString(),"START_DOCUMENT");
		
		test = new ContentHandlerInfo(3);
		assertEquals(test.toString(),"END_DOCUMENT");
		
		test = new ContentHandlerInfo(4);
		assertEquals(test.toString(),"SET_DOCUMENT_LOCATOR");
		
		test = new ContentHandlerInfo(5);
		assertEquals(test.toString(),"SKIPPED_ENTITY");
		
		test = new ContentHandlerInfo(6);
		assertEquals(test.toString(),"IGNORABLE_WHITESPACE");
		
		test = new ContentHandlerInfo(7);
		assertEquals(test.toString(),"PROCESSING_INSTRUCTION");
		
		test = new ContentHandlerInfo(8);
		assertEquals(test.toString(),"CHARACTERS");
		
		test = new ContentHandlerInfo(9);
		assertEquals(test.toString(),"START_PREFIX_MAPPING");
		
		test = new ContentHandlerInfo(10);
		assertEquals(test.toString(),"END_PREFIX_MAPPING");
		
		test=null;
    // JUnitDoclet end method toString
  }
  
  public void testSendEvent() throws Exception {
    // JUnitDoclet begin method sendEvent
    // JUnitDoclet end method sendEvent
  }
  
  
  
  /**
  * JUnitDoclet moves marker to this method, if there is not match
  * for them in the regenerated code and if the marker is not empty.
  * This way, no test gets lost when regenerating after renaming.
  * Method testVault is supposed to be empty.
  */
  public void testVault() throws Exception {
    // JUnitDoclet begin method testcase.testVault
    // JUnitDoclet end method testcase.testVault
  }
  
  public static void main(String[] args) {
    // JUnitDoclet begin method testcase.main
    junit.textui.TestRunner.run(ContentHandlerInfoTest.class);
    // JUnitDoclet end method testcase.main
  }
}
